| Earth Observation Mission CFI Software Orbit Software User Manual for JAVA |

Static Public Attributes

# EECFI.EnumOrbit Class Reference

Enumerations for Orbit library. More...

List of all members.

## Static Public Attributes
static long | XOCFI_NUM_CHECK_PARAMS = 6
static long | XOCFI_ORBIT_EXTRA_DEP_NODAL_PERIOD = 0
static long | XOCFI_ORBIT_EXTRA_DEP_UTC_CURRENT_ANX = 1
static long | XOCFI_ORBIT_EXTRA_DEP_ORBIT_NUMBER = 2
static long | XOCFI_ORBIT_EXTRA_DEP_SEC_SINCE_ANX = 3
static long | XOCFI_ORBIT_EXTRA_DEP_MEAN_KEPL_A = 4
static long | XOCFI_ORBIT_EXTRA_DEP_MEAN_KEPL_E = 5
static long | XOCFI_ORBIT_EXTRA_DEP_MEAN_KEPL_I = 6
static long | XOCFI_ORBIT_EXTRA_DEP_MEAN_KEPL_RA = 7
static long | XOCFI_ORBIT_EXTRA_DEP_MEAN_KEPL_W = 8
static long | XOCFI_ORBIT_EXTRA_DEP_MEAN_KEPL_M = 9
static long | XOCFI_ORBIT_EXTRA_NUM_DEP_ELEMENTS = 10
static long | XOCFI_ORBIT_EXTRA_GEOC_LONG = 0
static long | XOCFI_ORBIT_EXTRA_GEOD_LAT = 1
static long | XOCFI_ORBIT_EXTRA_GEOD_ALT = 2
static long | XOCFI_ORBIT_EXTRA_GEOC_LONG_D = 3
static long | XOCFI_ORBIT_EXTRA_GEOD_LAT_D = 4
static long | XOCFI_ORBIT_EXTRA_GEOD_ALT_D = 5
static long | XOCFI_ORBIT_EXTRA_GEOC_LONG_2D = 6
static long | XOCFI_ORBIT_EXTRA_GEOD_LAT_2D = 7
static long | XOCFI_ORBIT_EXTRA_GEOD_ALT_2D = 8
static long | XOCFI_ORBIT_EXTRA_RAD_CUR_PARALLEL_MERIDIAN = 9
static long | XOCFI_ORBIT_EXTRA_RAD_CUR_ORTHO_MERIDIAN = 10
static long | XOCFI_ORBIT_EXTRA_RAD_CUR_ALONG_GROUNDTRACK = 11
static long | XOCFI_ORBIT_EXTRA_NORTH_VEL = 12
static long | XOCFI_ORBIT_EXTRA_EAST_VEL = 13
static long | XOCFI_ORBIT_EXTRA_MAG_VEL = 14
static long | XOCFI_ORBIT_EXTRA_AZ_VEL = 15
static long | XOCFI_ORBIT_EXTRA_NORTH_ACC = 16
static long | XOCFI_ORBIT_EXTRA_EAST_ACC = 17
static long | XOCFI_ORBIT_EXTRA_GROUNDTRACK_ACC = 18
static long | XOCFI_ORBIT_EXTRA_AZ_ACC = 19
static long | XOCFI_ORBIT_EXTRA_SAT_ECLIPSE_FLAG = 20
static long | XOCFI_ORBIT_EXTRA_SZA = 21
static long | XOCFI_ORBIT_EXTRA_MLST = 22
static long | XOCFI_ORBIT_EXTRA_TLST = 23
static long | XOCFI_ORBIT_EXTRA_TRUE_SUN_RA = 24
static long | XOCFI_ORBIT_EXTRA_TRUE_SUN_DEC = 25
static long | XOCFI_ORBIT_EXTRA_TRUE_SUN_SEMIDIAM = 26
static long | XOCFI_ORBIT_EXTRA_MOON_RA = 27
static long | XOCFI_ORBIT_EXTRA_MOON_DEC = 28
static long | XOCFI_ORBIT_EXTRA_MOON_SEMI_DIAM = 29
static long | XOCFI_ORBIT_EXTRA_MOON_AREA_LIT = 30
static long | XOCFI_ORBIT_EXTRA_OSC_KEPL_A = 31
static long | XOCFI_ORBIT_EXTRA_OSC_KEPL_E = 32
static long | XOCFI_ORBIT_EXTRA_OSC_KEPL_I = 33
static long | XOCFI_ORBIT_EXTRA_OSC_KEPL_RA = 34
static long | XOCFI_ORBIT_EXTRA_OSC_KEPL_W = 35
static long | XOCFI_ORBIT_EXTRA_OSC_KEPL_M = 36
static long | XOCFI_ORBIT_EXTRA_ORBIT_RAD = 37
static long | XOCFI_ORBIT_EXTRA_RADIAL_ORB_VEL = 38
static long | XOCFI_ORBIT_EXTRA_TRANS_ORB_VEL = 39
static long | XOCFI_ORBIT_EXTRA_ORB_VEL_MAG = 40
static long | XOCFI_ORBIT_EXTRA_RA_SAT = 41
static long | XOCFI_ORBIT_EXTRA_DEC_SAT = 42
static long | XOCFI_ORBIT_EXTRA_EARTH_ROTATION_ANGLE = 43
static long | XOCFI_ORBIT_EXTRA_RA_SAT_D = 44
static long | XOCFI_ORBIT_EXTRA_RA_SAT_2D = 45
static long | XOCFI_ORBIT_EXTRA_OSC_TRUE_LAT = 46
static long | XOCFI_ORBIT_EXTRA_OSC_TRUE_LAT_D = 47
static long | XOCFI_ORBIT_EXTRA_OSC_TRUE_LAT_2D = 48
static long | XOCFI_ORBIT_EXTRA_NUM_INDEP_ELEMENTS = 49
static long | XOCFI_ORBIT_EXTRA_NO_RESULTS = 0
| To calculate no extra results.
static long | XOCFI_ORBIT_EXTRA_GEOLOCATION = 1
| To calculate the geolocation data set.
static long | XOCFI_ORBIT_EXTRA_GEOLOCATION_D = 2
| To calculate the geolocation rate data set.
static long | XOCFI_ORBIT_EXTRA_GEOLOCATION_2D = 4
| To calculate the geolocation rate rate data set.
static long | XOCFI_ORBIT_EXTRA_GEOLOCATION_EXTRA = 8
| To calculate the geolocation extra data set.
static long | XOCFI_ORBIT_EXTRA_EARTH_FIXED_D = 16
| To calculate the earth-fixed velocity data set.
static long | XOCFI_ORBIT_EXTRA_EARTH_FIXED_2D = 32
| To calculate the earth-fixed acceleration data set.
static long | XOCFI_ORBIT_EXTRA_SUN = 64
| To calculate the sun data set.
static long | XOCFI_ORBIT_EXTRA_MOON = 128
| To calculate the moon data set.
static long | XOCFI_ORBIT_EXTRA_OSCULATING_KEPLER = 256
| To calculate the osculating Kepler data set.
static long | XOCFI_ORBIT_EXTRA_INERTIAL_AUX = 512
| To calculate the inertial auxiliary data set.
static long | XOCFI_ORBIT_EXTRA_DEP_ANX_TIMING = 1024
| To calculate ANX timing data set.
static long | XOCFI_ORBIT_EXTRA_DEP_MEAN_KEPLER = 2048
| To calculate the mean keplerian elements.
static long | XOCFI_ORBIT_EXTRA_ALL_RESULTS = 4095
| To calculate all extra results.
static long | XOCFI_SAT_DEFAULT = XLCFI_SAT_DEFAULT
static long | XOCFI_SAT_DEFAULT1 = XLCFI_SAT_DEFAULT1
static long | XOCFI_SAT_DEFAULT2 = XLCFI_SAT_DEFAULT2
static long | XOCFI_SAT_DEFAULT3 = XLCFI_SAT_DEFAULT3
static long | XOCFI_SAT_DEFAULT4 = XLCFI_SAT_DEFAULT4
static long | XOCFI_SAT_DEFAULT5 = XLCFI_SAT_DEFAULT5
static long | XOCFI_SAT_DEFAULT6 = XLCFI_SAT_DEFAULT6
static long | XOCFI_SAT_DEFAULT7 = XLCFI_SAT_DEFAULT7
static long | XOCFI_SAT_DEFAULT8 = XLCFI_SAT_DEFAULT8
static long | XOCFI_SAT_DEFAULT9 = XLCFI_SAT_DEFAULT9
static long | XOCFI_SAT_ERS1 = XLCFI_SAT_ERS1
static long | XOCFI_SAT_ERS2 = XLCFI_SAT_ERS2
static long | XOCFI_SAT_ENVISAT = XLCFI_SAT_ENVISAT
static long | XOCFI_SAT_METOP1 = XLCFI_SAT_METOP1
static long | XOCFI_SAT_METOP2 = XLCFI_SAT_METOP2
static long | XOCFI_SAT_METOP3 = XLCFI_SAT_METOP3
static long | XOCFI_SAT_CRYOSAT = XLCFI_SAT_CRYOSAT
static long | XOCFI_SAT_ADM = XLCFI_SAT_ADM
static long | XOCFI_SAT_GOCE = XLCFI_SAT_GOCE
static long | XOCFI_SAT_SMOS = XLCFI_SAT_SMOS
static long | XOCFI_SAT_TERRASAR = XLCFI_SAT_TERRASAR
static long | XOCFI_SAT_EARTHCARE = XLCFI_SAT_EARTHCARE
static long | XOCFI_SAT_SWARM_A = XLCFI_SAT_SWARM_A
static long | XOCFI_SAT_SWARM_B = XLCFI_SAT_SWARM_B
static long | XOCFI_SAT_SWARM_C = XLCFI_SAT_SWARM_C
static long | XOCFI_SAT_SENTINEL_1A = XLCFI_SAT_SENTINEL_1A
static long | XOCFI_SAT_SENTINEL_1B = XLCFI_SAT_SENTINEL_1B
static long | XOCFI_SAT_SENTINEL_2 = XLCFI_SAT_SENTINEL_2
static long | XOCFI_SAT_SENTINEL_3 = XLCFI_SAT_SENTINEL_3
static long | XOCFI_SAT_SEOSAT = XLCFI_SAT_SEOSAT
static long | XOCFI_SAT_SENTINEL_1C = XLCFI_SAT_SENTINEL_1C
static long | XOCFI_SAT_SENTINEL_2A = XLCFI_SAT_SENTINEL_2A
static long | XOCFI_SAT_SENTINEL_2B = XLCFI_SAT_SENTINEL_2B
static long | XOCFI_SAT_SENTINEL_2C = XLCFI_SAT_SENTINEL_2C
static long | XOCFI_SAT_SENTINEL_3A = XLCFI_SAT_SENTINEL_3A
static long | XOCFI_SAT_SENTINEL_3B = XLCFI_SAT_SENTINEL_3B
static long | XOCFI_SAT_SENTINEL_3C = XLCFI_SAT_SENTINEL_3C
static long | XOCFI_SAT_GENERIC = XLCFI_SAT_GENERIC
static long | XOCFI_TIME_UNDEF = XLCFI_TIME_UNDEF
static long | XOCFI_TIME_TAI = XLCFI_TIME_TAI
static long | XOCFI_TIME_UTC = XLCFI_TIME_UTC
static long | XOCFI_TIME_UT1 = XLCFI_TIME_UT1
static long | XOCFI_TIME_GPS = XLCFI_TIME_GPS
static long | XOCFI_TIME_REF_OF_TAI = XDCFI_TIME_REF_OF_TAI
static long | XOCFI_TIME_REF_OF_UTC = XDCFI_TIME_REF_OF_UTC
static long | XOCFI_TIME_REF_OF_UT1 = XDCFI_TIME_REF_OF_UT1
static long | XOCFI_TIME_REF_OF_GPS = XDCFI_TIME_REF_OF_GPS
static long | XOCFI_SEL_FILE = XLCFI_SEL_FILE
static long | XOCFI_SEL_TIME = XLCFI_SEL_TIME
static long | XOCFI_SEL_ORBIT = XLCFI_SEL_ORBIT
static long | XOCFI_SEL_DEFAULT = XLCFI_SEL_DEFAULT
static long | XOCFI_ORBIT_INIT_UNKNOWN_MODE = -1
static long | XOCFI_ORBIT_INIT_AUTO = XDCFI_AUTO
static long | XOCFI_ORBIT_INIT_ORBIT_CHANGE_MODE = XDCFI_ORBIT_CHANGE
static long | XOCFI_ORBIT_INIT_STATE_VECTOR_MODE = XDCFI_STATE_VECTOR
static long | XOCFI_ORBIT_INIT_OSF_MODE = XDCFI_OSF_TYPE
static long | XOCFI_ORBIT_INIT_POF_MODE = XDCFI_POF_TYPE
static long | XOCFI_ORBIT_INIT_ROF_MODE = XDCFI_ROF_TYPE
static long | XOCFI_ORBIT_INIT_DORIS_MODE = XDCFI_DORIS_TYPE
static long | XOCFI_ORBIT_INIT_POF_N_DORIS_MODE = XDCFI_POF_N_DORIS_TYPE
static long | XOCFI_ORBIT_INIT_OEF_OSF_MODE = XDCFI_OEF_OSF_TYPE
static long | XOCFI_ORBIT_INIT_OEF_POF_MODE = XDCFI_OEF_POF_TYPE
static long | XOCFI_ORBIT_INIT_TLE_MODE = XDCFI_TLE_TYPE
static long | XOCFI_ORBIT_INIT_STATE_VECTOR_PRECISE_MODE = 11
static long | XOCFI_ORBIT_INIT_POF_PRECISE_MODE = 12
static long | XOCFI_ORBIT_INIT_ROF_PRECISE_MODE = 13
static long | XOCFI_ORBIT_INIT_DORIS_PRECISE_MODE = 14
static long | XOCFI_ORBIT_INIT_OEF_POF_PRECISE_MODE = 15
static long | XOCFI_ORBIT_INIT_POF_N_DORIS_PRECISE_MODE = 16
static long | XOCFI_ORBIT_INIT_MAX_VALUE = 17
static long | XOCFI_INTERPOL_MODEL_DEFAULT = 0
static long | XOCFI_PROPAG_MODEL_MEAN_KEPL = 0
| Propagation using Mean Keplerian OSV model.
static long | XOCFI_PROPAG_MODEL_SPOT = 1
| Propagation using Spot model.
static long | XOCFI_PROPAG_MODEL_TLE = 2
| Propagation using TLE model.
static long | XOCFI_PROPAG_MODEL_PRECISE = 3
| Propagation using COWELL propagator.
static long | XOCFI_PROPAG_MODEL_AUTO = 10
| Propagation using Auto initialization model.
static long | XOCFI_PROPAG_MODEL_DOUBLE = 100
| Propagation using double initialization model.
static long | XOCFI_NOSUNSYNC_DRIFT = 0
static long | XOCFI_NOSUNSYNC_INCLINATION = 1
static long | XOCFI_NOSUNSYNC_DRIFT_NONLINEAR = 2
static long | XOCFI_NOSUNSYNC_USE_SIM_MODEL = 10
static long | XOCFI_OSV_PRECISE_NO = 1
| Default value, non-precise.
static long | XOCFI_OSV_PRECISE_MINUTE = 2
| Precise location every integer minute.
static long | XOCFI_OSV_PRECISE_TEN_SECONDS = 3
| Precise location every integer ten secods.
static long | XOCFI_REF_FILETYPE_OSF = 1
| Orbit Scenario File.
static long | XOCFI_REF_FILETYPE_OEF_OSF = 2
| Orbit Event file used as an OSF.
static long | XOCFI_REF_FILETYPE_POF = 3
| FOS Predicted Orbit File.
static long | XOCFI_REF_FILETYPE_OEF_POF = 4
| Orbit Event file used as a POF.
static long | XOCFI_REF_FILETYPE_DORIS_NAV = 5
| DORIS Navigator File.
static long | XOCFI_REF_FILETYPE_ROF = 6
| FOS Restituted Orbit File.
static long | XOCFI_REF_FILETYPE_DORIS_PREM = 7
| DORIS Preliminary Orbit File.
static long | XOCFI_REF_FILETYPE_DORIS_PREC = 8
| DORIS Precise Orbit File.
static long | XOCFI_NO_PHASE_INCREMENT = 0
static long | XOCFI_PHASE_INCREMENT = 1
static long | XOCFI_FIT_TLE = 0
static long | XOCFI_ONE_TLE_PER_OSV = 1
static long | XOCFI_SEARCH_FORWARD = 1
static long | XOCFI_SEARCH_BACKWARD = -1
static long | XOCFI_DEFAULT_VALUES = XDCFI_DEFAULT_VALUES
| Use predefined default values for some parameters.
static long | XOCFI_USER_VALUES = XDCFI_USER_VALUES
| Use values introduced by user.
static long | XOCFI_NOT_SELECT = XDCFI_NOT_SELECT
| Do not select contribution.
static long | XOCFI_SELECT = XDCFI_SELECT
| Select contribution.
static long | XOCFI_SGA_USE_PARAMETERS = XDCFI_SGA_USE_PARAMETERS
| Use input parameters.
static long | XOCFI_SGA_READ_VALUES_FROM_FILE = XDCFI_SGA_READ_VALUES_FROM_FILE
| Read values from files.

## Detailed Description

Enumerations for Orbit library.